/*
 * Copyright (c) OSGi Alliance (2012). All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.osgi.dto.framework.wiring;

import java.util.List;
import org.osgi.dto.DTO;

/**
 * Data Transfer Object for a BundleRevisions.
 * 
 * <p>
 * A Bundle can be adapted to provide a {@code BundleRevisionsDTO} for the in
 * use revisions of the Bundle.
 * 
 * @author $Id: 369f761b528207ce3d13f06b92be931dc5aaf1ff $
 * @NotThreadSafe
 */
public class BundleRevisionsDTO extends DTO {
    /**
     * Revisions for the bundle. The first revision is the current revision.
     */
    public List<BundleRevisionDTO> revisions;
}
